---
title: GlobalEventHandlers.onpointerleave
slug: Web/API/GlobalEventHandlers/onpointerleave
tags:
  - API
  - GlobalEventHandlers
  - HTML DOM
  - NeedsBrowserCompatibility
  - Pointer Events
  - PointerEvent
  - Property
  - Reference
  - onpointerleave
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The {{domxref("GlobalEventHandlers","global event handler", "", 1)}} for the {{domxref("HTMLElement/pointerleave_event", "pointerleave")}} event, which is delivered to a {{domxref("Node")}} when the pointer (mouse cursor, fingertip, etc.) exits its hit test area (for example, if the cursor exits an {{domxref("Element")}} or {{domxref("Window")}}'s content area). This event is part of the <a href="/en-US/docs/Web/API/Pointer_events">Pointer Events API</a>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>EventTarget</var>.onpointerleave = <var>leaveHandler</var>;

var <var>leaveHandler</var> = <var>EventTarget</var>.onpointerleave;</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code><var>leaveHandler</var></code></dt>
 <dd>The {{domxref("EventListener")}} which will be invoked to handle {{domxref("HTMLElement/pointerleave_event", "pointerleave")}} events sent to the target.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>onpointerleave</code> to set an element's <code>pointerleave</code> event handler.</p>

<pre class="brush: js notranslate">&lt;html&gt;
&lt;script&gt;
function leaveHandler(ev) {
 // Process the pointerleave event
}
function init() {
 var el=document.getElementById("target1");
 el.onpointerleave = leaveHandler;
}
&lt;/script&gt;
&lt;body onload="init();"&gt;
&lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
&lt;div id="target2" onpointerleave="leaveHandler(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<p>See <a href="/en-US/docs/Web/API/Pointer_events/Using_Pointer_Events">Using Pointer Events</a> for additional details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-globaleventhandlers-onpointerleave', 'onpointerleave')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-GlobalEventHandlers-onpointerleave', 'onpointerleave')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onpointerleave")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Pointer_events">Pointer events</a></li>
 <li><a href="/en-US/docs/Web/API/Pointer_events/Using_Pointer_Events">Using pointer events</a></li>
 <li><code><a href="/en-US/docs/Web/API/Document/pointerleave_event">Document: pointerleave</a></code> event</li>
 <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerleave_event">HTMLElement: pointerleave</a></code> event</li>
</ul>
